Name:           python-csoundengine
Version:        2.15.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An audio synthesis framework using csound

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/gesellkammer/csoundengine
Source:         %{pypi_source csoundengine}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'csoundengine' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-csoundengine
Summary:        %{summary}

%description -n python3-csoundengine %_description


%prep
%autosetup -p1 -n csoundengine-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-csoundengine -f %{pyproject_files}


%changelog
%autochangelog